Raymond Toy pushed to branch rtoy-unix-core at cmucl / cmucl
Commits:
6b33a1f0 by Raymond Toy at 2015-05-07T22:43:06Z
Install the appropriate compiled unix file.
- - - - -
1 changed file:
- bin/make-main-dist.sh
Changes:
=====================================
bin/make-main-dist.sh
=====================================
--- a/bin/make-main-dist.sh
+++ b/bin/make-main-dist.sh
@@ -127,12 +127,21 @@ do
done
# Create the directories and install the fasl files for asdf and defsystem
-for f in asdf defsystem unix
+for f in asdf defsystem
do
install -d ${GROUP} ${OWNER} -m 0755 $DESTDIR/lib/cmucl/lib/contrib/$f
install ${GROUP} ${OWNER} -m 0644 $TARGET/contrib/$f/$f.$FASL $DESTDIR/lib/cmucl/lib/contrib/$f
done
+set -x
+case `uname -s` in
+ Linux*) UCONTRIB="unix-glibc2" ;;
+ *) UCONTRIB="unix" ;;
+esac
+
+install -d ${GROUP} ${OWNER} -m 0755 $DESTDIR/lib/cmucl/lib/contrib/unix
+install ${GROUP} ${OWNER} -m 0644 $TARGET/contrib/unix/$UCONTRIB.$FASL $DESTDIR/lib/cmucl/lib/contrib/unix
+
# Copy the source files for asdf and defsystem
for f in `(cd src; find contrib/asdf contrib/defsystem -type f -print | grep -v CVS)`
do
View it on GitLab: https://gitlab.common-lisp.net/cmucl/cmucl/commit/6b33a1f0851c69ee404d2a5dd…
Raymond Toy pushed to branch rtoy-unix-core at cmucl / cmucl
Commits:
e549b338 by Raymond Toy at 2015-05-07T22:39:30Z
Don't pass in the command line args to lisp when building asdf and
friends.
The command line args aren't relevant to lisp.
- - - - -
1 changed file:
- bin/build.sh
Changes:
=====================================
bin/build.sh
=====================================
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -251,7 +251,7 @@ buildit
# Asdf and friends are part of the base install, so we need to build
# them now.
-$TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
+$TARGET/lisp/lisp -noinit -nositeinit -batch << EOF || exit 3
(in-package :cl-user)
(setf (ext:search-list "target:")
'("$TARGET/" "src/"))
View it on GitLab: https://gitlab.common-lisp.net/cmucl/cmucl/commit/e549b338970eee4cef8403651…
Raymond Toy pushed to branch rtoy-unix-core at cmucl / cmucl
Commits:
3191f538 by Raymond Toy at 2015-05-06T21:07:00Z
For linux, Load unix-glibc2.lisp instead of unix.lisp.
- - - - -
1 changed file:
- src/contrib/load-unix.lisp
Changes:
=====================================
src/contrib/load-unix.lisp
=====================================
--- a/src/contrib/load-unix.lisp
+++ b/src/contrib/load-unix.lisp
@@ -1,6 +1,7 @@
;; Load extra functionality in the UNIX package.
(ext:without-package-locks
- (load "modules:unix/unix"))
+ (load #-linux "modules:unix/unix"
+ #+linux "modules:unix/unix-glibc2"))
(provide 'unix)
View it on GitLab: https://gitlab.common-lisp.net/cmucl/cmucl/commit/3191f538dd21d8656e4d79fbf…